using System;
using org.bouncycastle.asn1;
using org.bouncycastle.asn1.x509;

namespace org.bouncycastle.asn1.pkcs
{
	public class EncryptionScheme: AlgorithmIdentifier
	{   
		DERObject   objectId;
		DERObject   obj;

		internal EncryptionScheme(
			ASN1Sequence  seq): base(seq)
		{   
			objectId = (DERObject)seq.getObjectAt(0);
			obj = (DERObject)seq.getObjectAt(1);
		}

		public DERObject getObject()
		{
			return obj;
		}

		public override DERObject getDERObject()
		{
			ASN1EncodableVector  v = new ASN1EncodableVector();

			v.add(objectId);
			v.add(obj);

			return new DERSequence(v);
		}
	}

}