
using System;
//using System.Collections;
//using org.bouncycastle.io;
using org.bouncycastle.asn1;

namespace org.bouncycastle.asn1.x509
{
	public class AttributeCertificate: DEREncodable
	{
		internal AttributeCertificateInfo    acinfo = null;
		internal AlgorithmIdentifier         signatureAlgorithm = null;
		internal DERBitString                signatureValue = null;

		public AttributeCertificateInfo getAcinfo()
		{
			return acinfo;
		}

		public AlgorithmIdentifier getSignatureAlgorithm()
		{
			return signatureAlgorithm;
		}

		public DERBitString getSignatureValue()
		{
			return signatureValue;
		}

		/**
		 * <pre>
		 *  AttributeCertificate ::= SEQUENCE {
		 *       acinfo               AttributeCertificateInfo,
		 *       signatureAlgorithm   AlgorithmIdentifier,
		 *       signatureValue       BIT STRING
		 *  }
		 * </pre>
		 */
		public DERObject getDERObject()
		{
			ASN1EncodableVector  v = new ASN1EncodableVector();

			v.add(acinfo);
			v.add(signatureAlgorithm);
			v.add(signatureValue);

			return new DERSequence(v);
		}
	}

}