
using System;
//using System.Collections;
//using org.bouncycastle.io;
using org.bouncycastle.asn1;

namespace org.bouncycastle.asn1.x509
{
	public class CRLDistPoint: DEREncodable
	{
		ASN1Sequence  seq = null;

		public static CRLDistPoint getInstance(
			ASN1TaggedObject obj,
			bool          flagExplicit)
		{
			return getInstance(ASN1Sequence.getInstance(obj, flagExplicit));
		}

		public static CRLDistPoint getInstance(
			Object  obj)
		{
			
			if (typeof(CRLDistPoint).IsInstanceOfType(obj))
			{
				return (CRLDistPoint)obj;
			}
			else if (typeof(ASN1Sequence).IsInstanceOfType(obj))
			{
				return new CRLDistPoint((ASN1Sequence)obj);
			}

			throw new ArgumentException("unknown object in factory");
		}
		
		public CRLDistPoint(
			ASN1Sequence seq)
		{
			this.seq = seq;
		}
	    
		public CRLDistPoint(
			DistributionPoint[] points)
		{
			ASN1EncodableVector  v = new ASN1EncodableVector();

			for (int i = 0; i != points.Length; i++)
			{
				v.add(points[i]);
			}

			seq = new DERSequence(v);
		}

		/**
		* <pre>
		* CRLDistPoint ::= SEQUENCE SIZE {1..MAX} OF DistributionPoint
		* </pre>
		*/
		public DERObject getDERObject()
		{
			return seq;
		}
	}

}