using System;
using System.Collections;
//using org.bouncycastle.io;
using org.bouncycastle.asn1;

namespace org.bouncycastle.asn1.x509
{
	public class Time: DEREncodable
	{
		DERObject   time;

		public static Time getInstance(
			ASN1TaggedObject obj,
			bool          flagExplicit)
		{
			return getInstance(obj.getObject());
		}

		public Time(
			DERObject   time)
		{
			if (!(typeof(DERUTCTime).IsInstanceOfType(time))
				&& !(typeof(DERGeneralizedTime).IsInstanceOfType(time)))
			{
				throw new ArgumentException("unknown object passed to Time");
			}

			this.time = time; 
		}

		public static Time getInstance(
			Object  obj)
		{
			
			if (typeof(Time).IsInstanceOfType(obj))
			{
				return (Time)obj;
			}
			else if (typeof(DERUTCTime).IsInstanceOfType(obj))
			{
				return new Time((DERUTCTime)obj);
			}
			else if (typeof(DERGeneralizedTime).IsInstanceOfType(obj))
			{
				return new Time((DERGeneralizedTime)obj);
			}

			throw new ArgumentException("unknown object in factory");
		}

		public String getTime()
		{
			
			if (typeof(DERUTCTime).IsInstanceOfType(time))
			{
				return ((DERUTCTime)time).getAdjustedTime();
			}
			else
			{
				return ((DERGeneralizedTime)time).getTime();
			}
		}

		/**
		* <pre>
		* Time ::= CHOICE {
		*             utcTime        UTCTime,
		*             generalTime    GeneralizedTime }
		* </pre>
		*/
		public DERObject getDERObject()
		{
			return time;
		}
	}

}