using System;

namespace org.bouncycastle.crypto.parameters
{
	public class DHValidationParameters
	{
		private byte[]  seed;
		private int     counter;

		public DHValidationParameters(
			byte[]  seed,
			int     counter)
		{
			this.seed = seed;
			this.counter = counter;
		}

		public override bool Equals(
			Object o)
		{
			if ((o == null) || (typeof(DHValidationParameters).IsInstanceOfType(o)))
 			{
				return false;
			}

			DHValidationParameters  other = (DHValidationParameters)o;

			if (other.counter != this.counter)
			{
				return false;
			}

			if (other.seed.Length != this.seed.Length)
			{
				return false;
			}

			for (int i = 0; i != other.seed.Length; i++)
			{
				if (other.seed[i] != this.seed[i])
				{
					return false;
				}
			}

			return true;
		}
		public override int GetHashCode()
		{
			return base.GetHashCode();
		}

	}

}