using System;
using org.bouncycastle.math;

namespace org.bouncycastle.crypto.parameters
{

	public class ElGamalPrivateKeyParameters : ElGamalKeyParameters
	{
		private BigInteger      x;

		public ElGamalPrivateKeyParameters(
			BigInteger      x,
			ElGamalParameters    parameters) : base(true, parameters)
		{
			this.x = x;
		}   

		public BigInteger getX()
		{
			return x;
		}

		public override bool Equals(
			Object  obj)
		{
			if (!(typeof(ElGamalPrivateKeyParameters).IsInstanceOfType(obj))) return false;
			ElGamalPrivateKeyParameters  pKey = (ElGamalPrivateKeyParameters)obj;
			if (!pKey.getX().Equals(x))
			{
				return false;
			}
			return base.Equals(obj);
		}
		public override int GetHashCode()
		{
			return base.GetHashCode();
		}

	}

}