using System;

namespace org.bouncycastle.util.encoders
{
	/**
	 * general interface for an translator.
	 */
	public interface Translator
	{
		/**
		 * size of the output block on encoding produced by getDecodedBlockSize()
		 * bytes.
		 */
		int getEncodedBlockSize();

		int encode(byte[] inBytes, int inOff, int length, byte[] outBytes, int outOff);

		/**
		 * size of the output block on decoding produced by getEncodedBlockSize()
		 * bytes.
		 */
		int getDecodedBlockSize();

		int decode(byte[] inBytes, int inOff, int length, byte[] outBytes, int outOff);
	}

}